package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.eas.custom.gggl.app.*;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class AdvertTree extends TreeBase implements IAdvertTree
{
    public AdvertTree()
    {
        super();
        registerInterface(IAdvertTree.class, this);
    }
    public AdvertTree(Context ctx)
    {
        super(ctx);
        registerInterface(IAdvertTree.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("ECC977F0");
    }
    private AdvertTreeController getController() throws BOSException
    {
        return (AdvertTreeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public AdvertTreeInfo getAdvertTreeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAdvertTreeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public AdvertTreeInfo getAdvertTreeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAdvertTreeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public AdvertTreeInfo getAdvertTreeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAdvertTreeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public AdvertTreeCollection getAdvertTreeCollection() throws BOSException
    {
        try {
            return getController().getAdvertTreeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public AdvertTreeCollection getAdvertTreeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAdvertTreeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public AdvertTreeCollection getAdvertTreeCollection(String oql) throws BOSException
    {
        try {
            return getController().getAdvertTreeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}